Debian Bug report logs - #603974
needs to reconfigure console-setup

version graph

Package: live-installer; Maintainer for live-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for live-installer is src:live-installer.

Reported by: Marco Amadori <marco.amadori@gmail.com>

Date: Thu, 18 Nov 2010 23:33:01 UTC

Owned by: debian-live@lists.debian.org

Severity: serious

Tags: patch

Found in versions live-installer/29, live-installer/27

Fixed in version live-installer/30

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Thu, 18 Nov 2010 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <marco.amadori@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Thu, 18 Nov 2010 23:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Amadori <marco.amadori@gmail.com>
To: submit@bugs.debian.org
Subject: live-installer should depend and use console-setup-udeb
Date: Fri, 19 Nov 2010 00:29:59 +0100
[Message part 1 (text/plain, inline)]
Package: live-installer
Severity: serious
Version: 27
Tags: patch
Owner: debian-live@lists.debian.org

As it is now, live-installer fails in providing a proper keyboard configuration 
in the installed system, in fact it fails in propagating kbd-chooser debconf 
values.

Something changed in how console-setup-udeb is handled in d-i, and for squeeze 
i found that depending on it and invoking the postinst would succeed.

Note that live-build fails to provide console-setup-udeb (fixed in git) 
available in "pool/" and since console-setup-udeb is not available anymore in 
the initrd, to test this patch you need to fix live-build exclude-udeb or 
provide a console-setup-udeb in some way.

Patch attached.

-- 
ESC:wq
[0001-Fix-keyboard-setup.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Thu, 18 Nov 2010 23:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Thu, 18 Nov 2010 23:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 603974@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Marco Amadori <marco.amadori@gmail.com>, 603974@bugs.debian.org
Subject: Re: Bug#603974: live-installer should depend and use console-setup-udeb
Date: Fri, 19 Nov 2010 00:47:56 +0100
Marco Amadori, le Fri 19 Nov 2010 00:29:59 +0100, a écrit :
> As it is now, live-installer fails in providing a proper keyboard configuration 
> in the installed system, in fact it fails in propagating kbd-chooser debconf 
> values.
> 
> Something changed in how console-setup-udeb is handled in d-i, and for squeeze 
> i found that depending on it and invoking the postinst would succeed.

I don't understand this. How was console-setup-udeb involved in
live-installer before?  As I understand your sentences, live-installer
seems to be using the kbd-chooser udeb, and installing console-setup in
the installer system.  If so, then the bug is rather in console-setup,
not in console-setup-udeb.  Depending on console-setup-udeb is just a
convoluted way to fix things, as I guess what its postinst does to fix
this in your case is just doing what console-setup is supposed to be
doing in the installed system, already...

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Fri, 19 Nov 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Fri, 19 Nov 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 603974@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: debian-live@lists.debian.org, Samuel Thibault <sthibault@debian.org>, 603974@bugs.debian.org
Subject: Re: Bug#603974: live-installer should depend and use console-setup-udeb
Date: Fri, 19 Nov 2010 08:45:57 +0100
In data venerdì 19 novembre 2010 00:47:56, Samuel Thibault ha scritto:

> Marco Amadori, le Fri 19 Nov 2010 00:29:59 +0100, a écrit :
> > As it is now, live-installer fails in providing a proper keyboard
> > configuration in the installed system, in fact it fails in propagating
> > kbd-chooser debconf values.
> > 
> > Something changed in how console-setup-udeb is handled in d-i, and for
> > squeeze i found that depending on it and invoking the postinst would
> > succeed.
 
> I don't understand this. How was console-setup-udeb involved in
> live-installer before?

I didn't checked how it was handled before, maybe something changed in base-
installer, of which live-installer exploits some helpers.

> As I understand your sentences, live-installer
> seems to be using the kbd-chooser udeb, and installing console-setup in
> the installer system.

It does not do that directly, my guessing is that it was automatically cared 
of before.

> If so, then the bug is rather in console-setup,
> not in console-setup-udeb.

I'm pretty sure it isn't the case, I checked what console-setup does in the 
target and it is doing it right, but its debconf database it is empty (I mean 
default values).

From what I understood kbd-chooser ask keyboard layout question and translate 
its results to console-setup debconf values, then console-setup-udeb 
propagates them to the target system.

auto-install udeb do something similar as my patch does. It depends on 
console-setup-udeb and explicitly calls its postinst.

> Depending on console-setup-udeb is just a
> convoluted way to fix things, as I guess what its postinst does to fix
> this in your case is just doing what console-setup is supposed to be
> doing in the installed system, already...

This is probably true. My patch seems hackish even to me although it works, I 
hope that someone with a deeper understanding of debian-installer internals 
could provide a cleaner fix if possible.

Anyway this fix is better than having an user unable to have its keyboard 
supported at all.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Added indication that bug 603974 blocks 603975 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 19 Nov 2010 18:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Mon, 22 Nov 2010 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Mon, 22 Nov 2010 21:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 603974@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 603974@bugs.debian.org
Subject: Re: live-installer should depend and use console-setup-udeb
Date: Mon, 22 Nov 2010 22:45:30 +0100
retitle 603974 needs to reconfigure console-setup
tag 603974 - tag
tag 603974 pending
thanks

it's a different fix for the same problem, applied in svn, uploading
shortly.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'needs to reconfigure console-setup' from 'live-installer should depend and use console-setup-udeb' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 21:48:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 21:48:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 22 Nov 2010 23:24:14 GMT) Full text and rfc822 format available.

Notification sent to Marco Amadori <marco.amadori@gmail.com>:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:24:15 GMT) Full text and rfc822 format available.

Message #31 received at 603974-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 603974-close@bugs.debian.org
Subject: Bug#603974: fixed in live-installer 28
Date: Mon, 22 Nov 2010 23:22:34 +0000
Source: live-installer
Source-Version: 28

We believe that the bug you reported is fixed in the latest version of
live-installer, which is due to be installed in the Debian FTP archive:

live-installer_28.dsc
  to main/l/live-installer/live-installer_28.dsc
live-installer_28.tar.gz
  to main/l/live-installer/live-installer_28.tar.gz
live-installer_28_i386.udeb
  to main/l/live-installer/live-installer_28_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603974@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Nov 2010 22:51:10 +0100
Source: live-installer
Binary: live-installer
Architecture: source i386
Version: 28
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-installer - Install the system (udeb)
Closes: 598181 603974 604126 604133
Changes: 
 live-installer (28) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Also removing debian-installer-launcher from target (Closes: #604133).
   * Adding support for btrfs (Closes: #598181).
 .
   [ Otavio Salvador ]
   * Use install_extra from base-installer's library. Closes: #604126.
 .
   [ Daniel Baumann ]
   * Reconfigure openssh-server to regenerate host keys if required.
   * Reconfigure console-setup to apply keyboard configuration (Closes: #603974).
 .
   [ Updated translations ]
   * si (si.po) by Danishka Navin
   * Slovenian (sl.po) by Vanja Cvelbar
Checksums-Sha1: 
 88d89477946c58dc1feff0246e4fb06b2005fa1b 1047 live-installer_28.dsc
 2a81f49df5a44c531f19f73944117795ff808512 52528 live-installer_28.tar.gz
 5ed6eb3a657a10884f6c7cd1d83a1896440faf37 28524 live-installer_28_i386.udeb
Checksums-Sha256: 
 f3c9f6596dc7b411c4bddd58e5c824fa74481f2137c6faf9d0b2d6b227ec4b6f 1047 live-installer_28.dsc
 ff284493a8bce162b92fa5c0e30241d7226576506e907b7c5cff8462b1736109 52528 live-installer_28.tar.gz
 b5f7da7defd1bc0dce62f5cf15df0ccf88a4d68494a8a28c520e6d196534e4f2 28524 live-installer_28_i386.udeb
Files: 
 715cfac5fe17a69b89e26e3491278585 1047 debian-installer optional live-installer_28.dsc
 44d3f0772ff4e4b93173332b62ed5b5f 52528 debian-installer optional live-installer_28.tar.gz
 30382efb0b06cb6879d277ffd38d2b0b 28524 debian-installer optional live-installer_28_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzq5ncACgkQ+C5cwEsrK55WUACeKI6fi1w4GVcTIPWahLqGuQRn
1dUAn2xzsvMVUPO/lHfwZrZMa+4gvmGQ
=XiAs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Dec 2010 07:32:23 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 13:18:02 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions live-installer/28 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 13:18:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions live-installer/29. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 13:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Tue, 25 Jan 2011 00:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 00:03:06 GMT) Full text and rfc822 format available.

Message #44 received at 603974@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 603974@bugs.debian.org
Cc: 603974-submitter@bugs.debian.org, 607225@bugs.debian.org
Subject: removing live-installer from squeeze
Date: Tue, 25 Jan 2011 01:01:08 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 603974 squeeze-will-remove
kthxbye

Hi,

there seems to be no update or progress on this bug (or the other
'serious' one) in a month, so I'll remove live-installer from squeeze
later this week.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message sent on to Marco Amadori <marco.amadori@gmail.com>:
Bug#603974. (Tue, 25 Jan 2011 00:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Tue, 25 Jan 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseangon <joseangon47@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 603974@bugs.debian.org (full text, mbox):

From: joseangon <joseangon47@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 603974@bugs.debian.org
Subject: Re: Bug#603974: removing live-installer from squeeze
Date: Tue, 25 Jan 2011 09:31:21 +0100
[Message part 1 (text/plain, inline)]
2011/1/25 Julien Cristau <jcristau@debian.org>


Hello.


user release.debian.org@packages.debian.org
> usertag 603974 squeeze-will-remove
> kthxbye
>
> Hi,
>
> there seems to be no update or progress on this bug (or the other
> 'serious' one) in a month, so I'll remove live-installer from squeeze
> later this week.
>


I do not understand this?

I told you that the problem is the anna-install in the role created. A small
bug that is not dependent on the squashfs kernel-modules.

Anna-install if you invoke from anywhere outside that function works
correctly:

lib/live-installer/squashfs:

#!/bin/sh -e

# Debian (live-initramfs, live-boot)
PLACES="$PLACES /cdrom/live/filesystem.squashfs"
# Ubuntu (casper)
PLACES="$PLACES /cdrom/casper/filesystem.squashfs"

squashfs_prepare() {
#    anna-install squashfs-modules || true

    if [ -x /sbin/depmod ]; then
        depmod -a > /dev/null 2>&1 || true
    fi

    modprobe squashfs || true
    modprobe loop || true

-------------------------------------

live-installer.postinst:

#!/bin/sh -e

anna-install squashfs-modules

sleep 5

. /usr/share/debconf/confmodule
db_capb backup

. /usr/lib/base-installer/library.sh

# Architecture and OS detection
ARCH=`udpkg --print-architecture`
OS=`udpkg --print-os`

NEWLINE="
"

-------------------------------------------

I tried to include the squashfs-modules within the installer and it works
well.

And if we put the kernel-di in binary, which is the dependency you ask, also
works correctly.

Debconf not understand well, je je, so now turn to read the manual. But I
thought that with this information you help us find the solution.


Greetings.





>
> Cheers,
> Julien
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iQIcBAEBCAAGBQJNPhLEAAoJEDEBgAUJBeQMKbcQAKG9G2s+iDGHZJILNiNZjM/Q
> 2EMF8Zb+Pl9LCLNkP/IyqUZkl0cqzzhbCfM1M0vXZGcfbtsRM1Ef9ls7XV2jQFoJ
> UPDSs+TNtY2nlKbhFYo2xK2fbp+TSpEweWAWA+B+hBm8Ip70TatYwL1Idutnycx8
> baiiBeAG2Cz4cm27KXv0bC5o/swnrJil6BUgz72zOi4CdHAv1F5b07NKv3irCW6+
> e/W59A8jFsa+T6E7gpMINGG3o3kMZP1tJxnsznDPTxlsXh4CvE5DnxdkdYeMNmFD
> GVAQA8i59EtBK+4Ra5RDQLB6pSVHhl32PzV215GWfuaLqPq92QjTcHqI43Jd+eNs
> SIkzpPsVfY3GKu6zhjSv+VfJVwg9MiYHGGCSK9IXrN/GBdFfGVX9P5NSOrAdguAv
> JBwUhta+uI0eaqCHM9nY9H7XZ1yLEtv6VgpD85OcbNr4DEB/b1TMDfm4mxzm8AqI
> hJ5h8+eU1HUJowj9hGgYTBKxR6OBktdk9Db6nSQZYAGWzKsCxxnQE81Hql6olvh8
> xahzFueiJYglzA8i5bcgdnryqRMCCVD59RtWGuWdgyQWcD8qyfWSsmPOMiS6WCd1
> aaJcH7QtELgpagX0Gb568VXedm+e3ty4S2Ee1AmXAfux3ixN8KL4dBhnooaDTb2I
> XKw3k05jPQKPQjxhybV0
> =ReyR
> -----END PGP SIGNATURE-----
>
>


-- 
José A. González

Siempre GNU Linux-libre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Tue, 25 Jan 2011 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 11:45:05 GMT) Full text and rfc822 format available.

Message #57 received at 603974@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: 603974@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Info provided, help needed!
Date: Tue, 25 Jan 2011 12:11:53 +0100
[Message part 1 (text/plain, inline)]
This bug seems to rely on two missing bits on two packages (patches included).

the package "live-build" does not include console-setup-udeb in the cdrom 
"pool/" directory and live-installer do not "Depends:" on console-setup-udeb.

So the "/target" system have default "/etc/default/keyboard" file instead of a 
proper one.

Fixing those two above mentioned quirks is not enough it seems, because the 
resulting target, although having a proper configuration file, still needs a 
"setupcon" after reboot in order to have things working.

I see that live-installer calls "setupcon --save-only" in the target, so, by 
reading man page, all should be done.

But strangely it is not the case.

Could anyone from debian installer team, with a deeper understanding of d-i 
than me, suggests a solution there?

The patches included are there just for convenience.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

[0001-Fix-missing-keyboard-setup-adding-console-setup-udeb.patch (text/x-patch, attachment)]
[0001-Do-not-exclude-console-setup-udeb-Helps-603974.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Tue, 25 Jan 2011 17:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Tue, 25 Jan 2011 17:45:10 GMT) Full text and rfc822 format available.

Message #62 received at 603974@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: 603974@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: Logs of live-installer runs
Date: Tue, 25 Jan 2011 18:44:17 +0100
[Message part 1 (text/plain, inline)]
Too ease the resolution of this bug, I attached the log of debian installer 
with live-installer with and without a "Depends: console-setup-udeb" in the 
live-installer debian/control file.

In the nodep install I got XKBLAYOUT="us" instead of "it" in 
/etc/default/keyboard and calling setupcon at first reboot didn't fixed the 
keyboard layout.

Having console-setup-udeb as dependency of live-installer produced a correct 
value for XKBLAYOUT (it), still setupcon at first reboot does not fix keyboard 
layout.

Using the live-installer with explicit calls for console-setup-udeb (idea took 
from auto-install postinst) still does not fix the keyboard console but fix it 
after a "setupcon" invocking upon first reboot.

Test system description:

The images were generated with those auto/config files and Makefile attached 
(there for convenience), with a live-build that includes console-setup-udeb 
and with live-installer patched as mentioned and put in config/binary_local-
udebs/ as needed.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

[debian-live-nodep-syslog.txt.gz (application/x-gzip, attachment)]
[Makefile (text/x-makefile, attachment)]
[config (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Wed, 26 Jan 2011 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Wed, 26 Jan 2011 01:45:04 GMT) Full text and rfc822 format available.

Message #67 received at 603974@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Marco Amadori <amadorim@vdavda.com>
Cc: Daniel Baumann <daniel@debian.org>, Julien Cristau <jcristau@debian.org>, 603974@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Info provided, help needed!
Date: Wed, 26 Jan 2011 01:43:12 +0000
[Message part 1 (text/plain, inline)]
On Tue, Jan 25, 2011 at 12:11:53PM +0100, Marco Amadori wrote:
> This bug seems to rely on two missing bits on two packages (patches included).
> 
> the package "live-build" does not include console-setup-udeb in the cdrom 
> "pool/" directory and live-installer do not "Depends:" on console-setup-udeb.
> 
> So the "/target" system have default "/etc/default/keyboard" file instead of a 
> proper one.

Here's an alternative approach which I think is neater, because it
follows along with Daniel's previous attempt to fix this bug.  The
attached patch series reconfigures keyboard-configuration as well as
console-setup, and rearranges things a bit so that it actually
reconfigures effectively based on the information kbd-chooser provides
to /target in its post-base-installer hook.

So far I've only done a single test of this with a British English
keymap, but it worked fine for that case.  I plan to also test some
scenario where console-setup would normally use a different codeset to
see if that works.

Please review and comment.  I can go ahead and push these patches to
master if people like them.

> Fixing those two above mentioned quirks is not enough it seems, because the 
> resulting target, although having a proper configuration file, still needs a 
> "setupcon" after reboot in order to have things working.

I did not have this problem in my test.  (I don't think it would be
release-critical even if I did; this sort of problem is often a boot
race and likely only affects the console, not X.)

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]
[0001-Move-console-setup-hook-from-live-installer.d-to-pos.patch (text/x-diff, attachment)]
[0002-skip-post-base-installer-hook-if-live-installer-enab.patch (text/x-diff, attachment)]
[0003-Try-to-reconfigure-keyboard-configuration-as-well-as.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Wed, 26 Jan 2011 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Wed, 26 Jan 2011 08:39:03 GMT) Full text and rfc822 format available.

Message #72 received at 603974@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: debian-live@lists.debian.org, Colin Watson <cjwatson@debian.org>, 603974@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>, Julien Cristau <jcristau@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#603974: Info provided, help needed!
Date: Wed, 26 Jan 2011 09:36:58 +0100
In data Wednesday 26 January 2011 02:43:12, Colin Watson ha scritto:

> Please review and comment.  I can go ahead and push these patches to
> master if people like them.

Your patches are working on my test environment too. I like them and yes, 
please push them.

They are fixing this bug, many thanks for that quick and neat job.

If I understand also what I read on IRC, this imply that "console-setup-udeb" 
is not required to be available on pool/ directory at all, or maybe just for 
the GTK+ installer, right?

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 26 Jan 2011 09:51:03 GMT) Full text and rfc822 format available.

Notification sent to Marco Amadori <marco.amadori@gmail.com>:
Bug acknowledged by developer. (Wed, 26 Jan 2011 09:51:03 GMT) Full text and rfc822 format available.

Message #77 received at 603974-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 603974-close@bugs.debian.org
Subject: Bug#603974: fixed in live-installer 30
Date: Wed, 26 Jan 2011 09:47:06 +0000
Source: live-installer
Source-Version: 30

We believe that the bug you reported is fixed in the latest version of
live-installer, which is due to be installed in the Debian FTP archive:

live-installer_30.dsc
  to main/l/live-installer/live-installer_30.dsc
live-installer_30.tar.gz
  to main/l/live-installer/live-installer_30.tar.gz
live-installer_30_i386.udeb
  to main/l/live-installer/live-installer_30_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603974@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated live-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 Jan 2011 09:36:36 +0000
Source: live-installer
Binary: live-installer
Architecture: source i386
Version: 30
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 live-installer - Install the system (udeb)
Closes: 603974 608042
Changes: 
 live-installer (30) unstable; urgency=low
 .
   * Move console-setup hook from live-installer.d to post-base-installer.d,
     so that it can pick up the value of debian-installer/keymap set by
     kbd-chooser's post-base-installer hook.
   * Try to reconfigure keyboard-configuration as well as console-setup.
     Remove existing configuration files in /target first so that this
     actually does effective reconfiguration (Closes: #603974).
   * Set ANNA_QUIET=1 when installing kernel modules, since otherwise anna
     tears down our progress bar (regression in live-installer 29; Closes:
     #608042).
Checksums-Sha1: 
 d6d780476a93adc6e9cd59b77207421cbac5b7aa 1718 live-installer_30.dsc
 24b0b138b51f957aa096f7d1245069cf61a8a3d2 53139 live-installer_30.tar.gz
 b8ccbd3ad6e30cacd4f50aa1f08be6a460323a16 29394 live-installer_30_i386.udeb
Checksums-Sha256: 
 91deee93c07b6a0412567c22b1c72debc8fe185638909a1d267dc7aa7576d9bf 1718 live-installer_30.dsc
 2e07aa36ca673dd3240261f379af9e0ee7fe2802c5d986580c4a41d07f9a4830 53139 live-installer_30.tar.gz
 702c6fc48848f111251491c021a7377627c5c5c4d0daa141a54e247b04f4fdfb 29394 live-installer_30_i386.udeb
Files: 
 f96c48fd83db637f0fcbda13ddfd5c55 1718 debian-installer optional live-installer_30.dsc
 abc7cb4eef06a764aaa39fa3383e051f 53139 debian-installer optional live-installer_30.tar.gz
 2eaed024827bcc0ddd583709009ee8fb 29394 debian-installer optional live-installer_30_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTT/rnDk1h9l9hlALAQhN/w//byEAfmmfzj4gyjEO7sV5kbp4zlAoIn87
qUMsQozwGy/atZfVW9KXUiAw0jASQ0G4Vkn+wEB/9bH6XFlxAFiBKzHZjrF1o4V4
wHH9tiiSloFmlE6cmDfU/XBrGtrkwqmtclKmG/glPYYksM47PsOIqEWBZ2Kksak8
5pgKpAZPHPXg5Yvhxl2xJxL5rtZhhGqu0DwdCWb+suIEFvQpaEBHT/ZNQWrU7ppQ
cc/DTjdP8wN8TXNsus4nS2fhXKat7/AfzFhMNse2x3j0wLQmJvfeynDm5mqtnSvv
nOWjfzeeEPwoB5grixE4ABkeaIO0JkmZZ0rpvC+mVwoqZfazx9f+LZ3EoPOqg8cA
BrHHQDYZpyUbiGXIuN5betTDnRNVBve8DG4YKO3yOmdVlizhkIsR5TSbDXyX917l
qrEp6GRSd3kE7e7cXVGBc9JzNkyJlPtBF1VGktPo1PF6A62xgiyMMbtg+2Q+wJq4
xE49C8nCQ++qBYp1VxxSj3zZF5jebG3y9RlWX76IZdOGJ1xG726Un5Wj4J+5fAhv
CDpEfW2Qgor5zwQCU2Oc4efsr/HWKX/b9GI5Jakg1g35qfF8fsrxKdR7kKZrn7eb
kao5dAltjDblFTIKJqcXSV12w/dsA+vx6klXDHN2I+kYwH1qi7Z8lzeW205E9UD8
Q7b6V8taGrM=
=moX9
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org:
Bug#603974; Package live-installer. (Wed, 26 Jan 2011 11:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, debian-live@lists.debian.org. (Wed, 26 Jan 2011 11:09:08 GMT) Full text and rfc822 format available.

Message #82 received at 603974@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Marco Amadori <amadorim@vdavda.com>
Cc: debian-live@lists.debian.org, 603974@bugs.debian.org, Daniel Baumann <daniel@debian.org>, Julien Cristau <jcristau@debian.org>, debian-boot@lists.debian.org
Subject: Re: Bug#603974: Info provided, help needed!
Date: Wed, 26 Jan 2011 11:05:57 +0000
On Wed, Jan 26, 2011 at 09:36:58AM +0100, Marco Amadori wrote:
> In data Wednesday 26 January 2011 02:43:12, Colin Watson ha scritto:
> > Please review and comment.  I can go ahead and push these patches to
> > master if people like them.
> 
> Your patches are working on my test environment too. I like them and yes, 
> please push them.
> 
> They are fixing this bug, many thanks for that quick and neat job.

No problem.  I hope this covers everything ... for the record, I've
tested British English and Russian, and Marco's tested Italian (and
Arabic?).

> If I understand also what I read on IRC, this imply that "console-setup-udeb" 
> is not required to be available on pool/ directory at all, or maybe just for 
> the GTK+ installer, right?

It shouldn't be needed in pool/ at all, as far as I know.  For the GTK+
installer, console-setup-udeb is built into the initrd so it isn't
needed in pool/.

-- 
Colin Watson                                       [cjwatson@debian.org]




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Feb 2011 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:53:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.